%global momorel 2
%define doc_date 051020

%define libname libtidy

%define snap 20091203 

Name:    tidy
Summary: Utility to clean up and pretty print HTML/XHTML/XML
Version: 0.99.0
Release: %{snap}.%{momorel}m%{?dist}

Group:   Applications/Text
License: BSD
URL:     http://tidy.sourceforge.net/

# timestamp 03-Dec-2009
Source0: tidy-%{snap}cvs.tar.gz
Source1: http://tidy.sourceforge.net/docs/tidy_docs_%{doc_date}.tgz
NoSource: 1
Source10: tidy-cvs_checkout.sh 

BuildRequires: libtool
BuildRequires: doxygen
BuildRequires: libxslt
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
When editing HTML it's easy to make mistakes. Wouldn't it be nice if
there was a simple way to fix these mistakes automatically and tidy up
sloppy editing into nicely layed out markup? Well now there is! Dave
Raggett's HTML TIDY is a free utility for doing just that. It also
works great on the atrociously hard to read markup generated by
specialized HTML editors and conversion tools, and can help you
identify where you need to pay further attention on making your pages
more accessible to people with disabilities.

%package -n %{libname} 
Summary: Shared libraries for tidy
Group:	 System Environment/Libraries

%description -n %{libname} 
%{summary}.

%package -n %{libname}-devel
Summary: Development files for libtidy 
Group:   Development/Libraries
Obsoletes: tidy-devel < %{version}-%{release}
Provides:  tidy-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
%description -n %{libname}-devel
%{summary}.


%prep
%setup -q -n %{name}

# htmldocs included in cvs checkout
#setup -q -n %{name} -T -D -b1

sh build/gnuauto/setup.sh


%build
%configure \
  --disable-static \
  --disable-dependency-tracking

make %{?_smp_mflags}

# api docs 
doxygen htmldoc/doxygen.cfg

# make doc steps gleaned from build/gmake/Makefile
pushd htmldoc
../console/tidy -xml-config > tidy-config.xml
../console/tidy -xml-help   > tidy-help.xml
xsltproc -o tidy.1 tidy1.xsl tidy-help.xml 
xsltproc -o quickref.html quickref-html.xsl tidy-config.xml 
popd


%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

install -p -m644 -D htmldoc/tidy.1 $RPM_BUILD_ROOT%{_mandir}/man1/tidy.1

## Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

# Momonga hacks
%{__mkdir_p} %{buildroot}%{_datadir}/config-sample/%{name}
%{__install} -m644 %{SOURCE1}  %{buildroot}%{_datadir}/config-sample/%{name}/dot.tidyrc

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}


%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc htmldoc/*.html htmldoc/*.css htmldoc/*.gif
%{_bindir}/*
%{_mandir}/man1/*
#
# Mo hacks
%dir %{_datadir}/config-sample/%{name}
%{_datadir}/config-sample/%{name}/dot.tidyrc

%files -n %{libname} 
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,-)
%doc htmldoc/api/*
%{_includedir}/*
%{_libdir}/lib*.so
#%%exclude %{_libdir}/libtidy.la



%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.99.0-20091203.2m)
- full rebuild for mo7 release

* Thu May 13 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.99.0-20091203.1m)
- update to 20091203 snap (sync with Fedora)

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.99.0-20070615.3m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.99.0-20070615.2m)
- rebuild against rpm-4.6

* Wed Jul 23 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.99.0-20070615.1m)
- sync Fedora

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.20051026-2m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.20051026-2m)
- %%NoSource -> NoSource

* Tue Nov 29 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.20051026-1m)
- update to 20051026

* Sat Oct 9 2004 Yasuo Ohgaki <yohgaki@ohgaki.net>
- forgot to delete epoch again. kossori.

* Sat Oct 9 2004 Yasuo Ohgaki <yohgaki@ohgaki.net>
- forgot to delete epoch. kossori.

* Sat Oct 9 2004 Yasuo Ohgaki <yohgaki@ohgaki.net>
- (0.20040811-1m)
- import FC1 spec and upgrade to 20040811
- added "0." to version number when version 1 release is ready
- added libtidy, libtidy-devel subpackages

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (20030205-5m)
- revised spec for rpm 4.2.

* Sat Oct 11 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (20030205-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Feb  9 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (20030205-3m)
- add some make options.

* Sat Feb  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (20030205-2m)
  Fix build problem

* Fri Feb  7 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (20030205-1m)
- updated upstream latest source code. (last updated on 2003-02-05)

* Tue Aug 13 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (4.00-1m)
- import
